MSWParserInternal::Object Struct Reference

Internal: the object of MSWParser. More...

## Public Member Functions

| Object ()
MSWEntry | getEntry () const

## Public Attributes

long | m_textPos
| the text position More...
MWAWEntry | m_pos
| the object entry More...
std::string | m_name
| the object name More...
int | m_id
| the id More...
int | m_ids [2]
| some others id? More...
int | m_idsFlag [2]
| some flags link to m_ids More...
int | m_flags [2]
| some flags More...
std::string | m_extra
| some extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<< More...

## Detailed Description

Internal: the object of MSWParser.

## Constructor & Destructor Documentation

MSWParserInternal::Object::Object | ( |  | ) |

inline

## Member Function Documentation

MSWEntry MSWParserInternal::Object::getEntry | ( |  | ) | const

inline

Referenced by MSWParser::readObject().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSWParserInternal::Object::m_extra

some extra data

int MSWParserInternal::Object::m_flags[2]

some flags

Referenced by Object().

int MSWParserInternal::Object::m_id

the id

Referenced by getEntry(), and MSWParser::readObject().

int MSWParserInternal::Object::m_ids[2]

some others id?

Referenced by Object().

int MSWParserInternal::Object::m_idsFlag[2]

some flags link to m_ids

Referenced by Object().

std::string MSWParserInternal::Object::m_name

the object name

MWAWEntry MSWParserInternal::Object::m_pos

the object entry

Referenced by getEntry(), and MSWParser::readObject().

long MSWParserInternal::Object::m_textPos

the text position

Referenced by MSWParser::readObjectList().

The documentation for this struct was generated from the following file:

- MSWParser.cxx